metadatadeploy module failing on building after upgrading core!


(Herbert Yiga) #1

As i want to make DbSession and DbSessionFactory available for the ticket i am working on,i added version 1.10.2 in place of 1.9.4 as seen in this pom https://pastebin.com/iCr0zA1n .This is the master pom.xml .But on building,after running mvn clean install,i get test failures as seen on this link https://pastebin.com/BahE4N4Z. i didnot do any further changes apart from replacing the version in the above pom.why could metadatadeploy be failing on upgrading core? @dkayiwa @suthagar23 @darius @ssmusoke


(Nathan Ruhanga) #2

@herbert24, did you have chance to look at Error after including <properties> <openMRSBuildVersion>1.10.2</openMRSBuildVersion> </properties> ?

Here though is my thought to resolve the failing tests (which in this case is getLocation_shouldFetchByUuid() test method in api/src/test/java/org/openmrs/module/metadatadeploy/MetadataUtilsTest.java)

A quick fix I presume to make this specifically failing test pass, would be to replace the Uuid used here with the one that implicitly comes with the 1.10.* and above for the Location with Id 1, which I believe can be got from the database (Location Table in specific) related to the openmrs version you are interested in. For example you may try this Uuid 8d6c993e-c2cc-11de-8d13-0010c6dffd0f, see if the test passes.


(Herbert Yiga) #3

with @ruhanga 's idea, i had to go in and read this https://wiki.openmrs.org/display/docs/UUIDs .After,i had to replace the available Uuid with 8d6c993e-c2cc-11de-8d13-0010c6dffd0f within api/src/test/java/org/openmrs/module/metadatadeploy/MetadataUtilsTest.java.The build was later a success. Thanks @ruhanga